﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace FormsDemo
{
    public partial class AddObjectDialog : Form
    {
        public GraphicalObject Entity { get; set; }

        public AddObjectDialog()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            if(isFilled())
            {
                Entity = new GraphicalObject();
                Entity.Type = (Types)typeBox.SelectedIndex;
                Entity.X = (int)xUpDown.Value;
                Entity.Y = (int)yUpDown.Value;
                Entity.DX = (int)dxUpDown.Value;
                if(Entity.Type == Types.CIRCLE)
                {
                    Entity.DY = Entity.DX;
                }
                else
                {
                    Entity.DY = (int)dyUpDown.Value;
                }
            }
            else
            {
                DialogResult = DialogResult.None;
            }
        }

        private bool isFilled()
        {
            return typeBox.SelectedIndex >= 0;
        }

        private void typeBox_SelectionChangeCommitted(object sender, EventArgs e)
        {
            if(typeBox.SelectedIndex != 1)
            {
                dyUpDown.Enabled = true;
                label4.Enabled = true;
            }
            else
            {
                dyUpDown.Enabled = false;
                label4.Enabled = false;
            }
        }
    }
}
