﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace FormsDemo
{
    public partial class DisplayForm : Form
    {
        public DisplayForm()
        {
            InitializeComponent();
            pictureBox1.Image = new Bitmap(pictureBox1.Width, pictureBox1.Height);
        }

        private void Button1_Click(object sender, EventArgs e)
        {
            Close();
        }

        public void DrawObject(GraphicalObject obj)
        {
            using (Graphics g = Graphics.FromImage(pictureBox1.Image))
            {
                switch (obj.Type)
                {
                    case Types.LINE:
                        g.DrawLine(Pens.Black, obj.X, obj.Y, obj.X + obj.DX, obj.Y + obj.DY);
                        break;
                    case Types.CIRCLE:
                        g.DrawArc(Pens.Black, obj.X - obj.DX, obj.Y - obj.DY, obj.X + obj.DX, obj.Y + obj.DY,0, 359);
                        break;
                    case Types.RECTANGLE:
                        g.DrawRectangle(Pens.Black, obj.X, obj.Y, obj.DX, obj.DY);
                        break;
                }
                Refresh();
            }
        }

        internal void Clear()
        {
            using(Graphics g = Graphics.FromImage(pictureBox1.Image))
            {
                g.FillRectangle(Brushes.White, 0, 0, pictureBox1.Width, pictureBox1.Height);
            }
            Refresh();
        }
    }
}
