﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace FormsDemo
{
    public partial class Form1 : Form
    {
        private List<GraphicalObject> objects = new List<GraphicalObject>();
        private DisplayForm drawArea = null;

        public Form1()
        {
            InitializeComponent();
        }

        private void PridatToolStripMenuItem_Click(object sender, EventArgs e)
        {
            AddObjectDialog dialog = new AddObjectDialog();
            if (dialog.ShowDialog() == DialogResult.OK)
            {
                objects.Add(dialog.Entity);
                RefreshGUI();
            }
        }

        private void RefreshGUI()
        {
            listBox1.Items.Clear();
            foreach(GraphicalObject obj in objects)
            {
                listBox1.Items.Add(obj);
            }
            countLabel.Text = objects.Count.ToString();
            if(drawArea != null)
            {
                if (objects.Count > 0)
                {
                    drawArea.DrawObject(objects.Last());
                }
                else
                {
                    drawArea.Clear();
                }
            }
        }

        private void zobrazitToolStripMenuItem_Click(object sender, EventArgs e)
        {
            drawArea = new DisplayForm();
            drawArea.Show();
            foreach(GraphicalObject obj in objects)
            {
                drawArea.DrawObject(obj);
            }
        }

        private void novyToolStripMenuItem_Click(object sender, EventArgs e)
        {
            objects.Clear();
            RefreshGUI();
        }

        private void ulozitToolStripMenuItem_Click(object sender, EventArgs e)
        {
            if(saveFileDialog1.ShowDialog() == DialogResult.OK)
            {
                saveData(saveFileDialog1.FileName);
            }
        }

        private void saveData(string fileName)
        {
            using (StreamWriter writer = new StreamWriter(fileName))
            {
                foreach(GraphicalObject obj in objects)
                {
                    writer.WriteLine(obj);
                }
            }
        }
    }
}
